#include "tasksAmmFim.h"
#include <QDomDocument>
#include <QFile>
#include <QMessageBox>

int TaskAmmFim::lastID = 1;

void TaskAmmFim::initialize(int id, QString type, QString title, QString status, QString created_date, QString changed_date)
{
    this->id = id;
    this->type = type;
    this->title = title;
    this->status = status;
    this->created_date = created_date;
    this->changed_date = changed_date;
}

void TaskAmmFim::addMalfunction(Malfunction malfunction)
{
    malfunctionList.append(malfunction);
}

void Malfunction::initialize(QString dmCode, QString num, QString description)
{
    this->dmCode = dmCode;
    this->num = num;
    this->description = description;
}

void Malfunction::addMalfunctionSign(MalfunctionSign sign)
{
    malfunctionSigns.append(sign);
}

void MalfunctionSign::initialize(int type, QString description)
{
    this->type = type;
    this->description = description;
}
